- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
version.h File Reference

Define preprocessor symbols for the library version. More...

## Macros
#define | XAPIAN_ENABLE_VISIBILITY
| The library was compiled with GCC's -fvisibility=hidden option.
#define | XAPIAN_VERSION "1.2.20"
| The version of Xapian as a C string literal.
#define | XAPIAN_MAJOR_VERSION 1
| The major component of the Xapian version. More...
#define | XAPIAN_MINOR_VERSION 2
| The minor component of the Xapian version. More...
#define | XAPIAN_REVISION 20
| The revision component of the Xapian version. More...
#define | XAPIAN_HAS_BRASS_BACKEND 1
| XAPIAN_HAS_BRASS_BACKEND Defined if the brass backend is enabled.
#define | XAPIAN_HAS_CHERT_BACKEND 1
| XAPIAN_HAS_CHERT_BACKEND Defined if the chert backend is enabled.
#define | XAPIAN_HAS_FLINT_BACKEND 1
| XAPIAN_HAS_FLINT_BACKEND Defined if the flint backend is enabled.
#define | XAPIAN_HAS_INMEMORY_BACKEND 1
| XAPIAN_HAS_INMEMORY_BACKEND Defined if the inmemory backend is enabled.
#define | XAPIAN_HAS_REMOTE_BACKEND 1
| XAPIAN_HAS_REMOTE_BACKEND Defined if the remote backend is enabled.

## Detailed Description

Define preprocessor symbols for the library version.

## Macro Definition Documentation

#define XAPIAN_MAJOR_VERSION 1

The major component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 1

#define XAPIAN_MINOR_VERSION 2

The minor component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 0

#define XAPIAN_REVISION 20

The revision component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 14